Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXUTL4.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXUTL4.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXUTL4.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXUTL4 ;ALB/ESD - Utilities for DSS Extracts ; 11/26/07 10:58am
- ;;3.0;DSS EXTRACTS;**39,41,46,49,78,92,105**;Dec 22,1997;Build 70
+ECXUTL4 ;ALB/ESD - Utilities for DSS Extracts ; 11/2/06 9:08am
+ ;;3.0;DSS EXTRACTS;**39,41,46,49,78,92**;Dec 22,1997;Build 30
  ;
 OBSPAT(ECXIO,ECXTS,DSSID) ;
@@ -271,18 +271,2 @@
  F I=1:1:$L(TS) Q:$P(TS,"^",I)=ECXTS
  Q $P(SC,"^",I)_"000"
-OEFDATA ;
- ;get patient OEF/OIF status and date of return
- S (ECXOEF,ECXOEFDT)=""
- I $G(VASV(11))>0 S ECXOEF=ECXOEF_"OIF"
- I $G(VASV(12))>0 S ECXOEF=ECXOEF_"OEF"
- I $G(VASV(13))>0 S ECXOEF=ECXOEF_"UNK"
- I ECXOEF'="" D
- . S ECXOEFDT=""
- . I $G(VASV(11))>0 S ECXOEFDT=$P($G(VASV(11,$G(VASV(11)),3)),"^")
- . I $G(VASV(12))>0,$P($G(VASV(12,$G(VASV(12)),3)),"^")>ECXOEFDT S ECXOEFDT=$P($G(VASV(12,$G(VASV(12)),3)),"^")
- . I $G(VASV(13))>0,$P($G(VASV(13,$G(VASV(13)),3)),"^")>ECXOEFDT S ECXOEFDT=$P($G(VASV(13,$G(VASV(13)),3)),"^")
- . I ECXOEFDT>0 S ECXOEFDT=17000000+ECXOEFDT
- ;
- S ECXPAT("ECXOEF")=ECXOEF
- S ECXPAT("ECXOEFDT")=ECXOEFDT
- Q
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXUTL5.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXUTL5.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXUTL5.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXUTL5 ;ALB/JRC - Utilities for DSS Extracts ; 10/17/07 3:49pm
- ;;3.0;DSS EXTRACTS;**71,84,92,103,105**;Dec 22, 1997;Build 70
+ECXUTL5 ;ALB/JRC - Utilities for DSS Extracts ; 01/18/07 9:04am
+ ;;3.0;DSS EXTRACTS;**71,84,92,103**;Dec 22, 1997;Build 1
  ;
 REPEAT(CHAR,TIMES) ;REPEAT A STRING
@@ -207,18 +207,2 @@
  D DIQ^PSODI(DIC,DIC,DR,DA,DIQ)
  Q $S($G(ECXDIQ(52,DA,116))="YES":"Y",$G(ECXDIQ(52,DA,116))="NO":"N",1:"")
- ;
-SSN(SSN,FILE) ; extended validation of ssn
- ;       input:     ssn - social security number to validate
- ;                  file - optional "", 2 or 67, the only check is for
- ;                         reference lab file (#67) in which case ssn
- ;                         "000123456" is considered a valid ssn.
- ;        output:   0 - test patient or invalid ssn
- ;                  1 - valid ssn
- ;
- ;check input
- I $G(SSN)']"" Q 0
- S FILE=$G(FILE)
- I (FILE=67)&(SSN="000123456") Q 1
- I "89"[$E(SSN) Q 0
- I (SSN="123456789")!(SSN="111111111")!(SSN="222222222")!(SSN="333333333")!(SSN="444444444")!(SSN="555555555")!($E(SSN,1,3)="666")!($E(SSN,4,5)="00")!($E(SSN,1,3)="000") Q 0
- Q 1
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXUTL6.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXUTL6.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXUTL6.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXUTL6 ;ALB/JRC - Utilities for DSS Extracts ; 11/28/07 11:34am
- ;;3.0;DSS EXTRACTS;**92,105**;Dec 22, 1997;Build 70
+ECXUTL6 ;ALB/JRC - Utilities for DSS Extracts ; 11/2/06 8:30am
+ ;;3.0;DSS EXTRACTS;**92**;Dec 22, 1997;Build 30
  ;
 NUTKEY(P,D) ;Generate n&fs feeder key
@@ -6,5 +6,5 @@
  ;      p  - diet type production diet, standing orders, supplemental
  ;           feedings, or tube feedings.
- ;      d  - diet ien from files 116.2, 118.3, 118, or 118.2
+ ;      d  - diet ien from files 116.2, 116.3, 118, or 118.2
  ;Check input
  I $G(P)=""!'$G(D) Q ""
@@ -13,5 +13,5 @@
  S (PRO,IENS,CODE,DIET)=0
  S PRO=$O(^ECX(728.45,"B",P,PRO))
- S CODE=D_$S(P="PD":";FH(116.2,",P="SO":";FH(118.3,",P="SF":";FH(118,",P="TF":";FH(118.2,",1:"")
+ S CODE=D_$S(P="PD":";FH(116.2,",P="SO":";FH(116.3,",P="SF":";FH(118,",P="TF":";FH(118.2,",1:"")
  S DIET=0,DIET=$O(^ECX(728.45,+PRO,1,"B",CODE,DIET))
  S IENS=""_DIET_","_PRO_","_""
@@ -28,6 +28,6 @@
  ;            location
  ;Init variables
- N WARD,TRSVP,CRSVP,OPLOC,MASWARD
- S (CRSVP,TRSVP)=0,(WARD,DLT,DFL,MASWARD)=""
+ N WARD,TRSVP,OPLOC,MASWARD
+ S TRSVP=0,(WARD,ECXDLT,ECXDFL,MASWARD)=""
  S OPLOC=""
  ;Check input
@@ -38,7 +38,6 @@
  ;119.72 (production facility) field 2.
  I P="INP" D
- .S WARD=$P($G(^FHPT(FHDFN,"A",+ECXADM,0)),U,8)
+ .S WARD=$P($G(^FHPT(FHDFN,"A",ECXADM,0)),U,8)
  .S TRSVP=$$GET1^DIQ(119.6,WARD,3,"I")
- .S CRSVP=$$GET1^DIQ(119.6,WARD,4,"I")
  .;Get divisions
  .D GETDIV
@@ -80,5 +79,5 @@
  I P["OP",D["GM" D
  .S OPLOC=""_$P(NODE,U,5)_","_"",TRSVP=$$GET1^DIQ(119.6,OPLOC,3,"I")
- .S FPF=$$GET1^DIQ(119.72,""_TRSVP_","_"",2,"I")
+ .S ECXFPF=$$GET1^DIQ(119.72,""_TRSVP_","_"",2,"I")
  .;Get delivery division
  .D GETDIV
@@ -96,25 +95,16 @@
  ;   all other meals are null
  I P="INP",D="PD" D
- .S DLT=$P($G(NODE),U,8)
+ .S ECXDLT=$P($G(NODE),U,8)
  I P="OP",((D="RM")!(D="SM")) D
- .S DLT=$E($$GET1^DIQ(119.6,""_$P(NODE,U,3)_","_"",101,"E"),1)
+ .S ECXDLT=$E($$GET1^DIQ(119.6,""_$P(NODE,U,3)_","_"",101,"E"),1)
  I P="OP",D="GM" D
- .S DLT=$E($$GET1^DIQ(119.6,""_$P(NODE,U,5)_","_"",101,"E"),1)
+ .S ECXDLT=$E($$GET1^DIQ(119.6,""_$P(NODE,U,5)_","_"",101,"E"),1)
  ;
  ;Delivery feeder location
- I DLT="C" D
- .S DFL=$E($$GET1^DIQ(119.6,WARD,4,"E"),1,10)
- .S IEN=$$GET1^DIQ(119.72,+CRSVP,2,"I")
- .S IEN=""_IEN_";FH(119.71,"
- .S FPF=$O(^ECX(728.46,"B",IEN,FPF))
- .S FPF=$E($$GET1^DIQ(728.46,FPF,.01,"E"),1,10)
- I (DLT["T")!(DLT["D") D
- .I P="INP" D
- ..S MASWARD=$O(^FH(119.6,+WARD,"W","B",0))
- ..S DFL=$$GET1^DIQ(42,+MASWARD,44,"I")
- .I P="OP" D
- ..S DFL=$O(^FH(119.6,+OPLOC,"L","B",0))
- I (DLT=""),"SFTFSO"[D D
- .S DFL=$S(TRSVP:$$GET1^DIQ(119.6,WARD,3,"E"),1:$$GET1^DIQ(119.6,WARD,4,"E"))
+ I ECXDLT="C" S ECXDFL=$P(NODE,U,8) D
+ .S ECXDFL=$E($$GET1^DIQ(119.72,ECXDFL,2,"E"),1,10)
+ I (ECXDLT["T")!(ECXDLT["D") D
+ .S MASWARD=$O(^FH(119.6,$S(WARD:+WARD,+OPLOC:+OPLOC,1:""),"W","B",0))
+ .S ECXDFL=$$GET1^DIQ(42,+MASWARD,44,"I")
  Q 1
  ;
@@ -122,54 +112,17 @@
  ;Init variables
  N IEN,SIEN
- S (FDD,FPF,FPD)=""
+ S (ECXFDD,ECXFPF,ECXFPD)=""
  S IEN=$$GET1^DIQ(119.72,+TRSVP,2,"I")
  Q:'IEN
  ;Get delivery division
  S SIEN=""_+TRSVP_";FH(119.72,"
- S FDD=$O(^ECX(728.46,"B",SIEN,FDD))
- S FDD=""_$$GET1^DIQ(728.46,FDD,1,"I")_","_""
- S FDD=$$GET1^DIQ(4,FDD,99,"E")
+ S ECXFDD=$O(^ECX(728.46,"B",SIEN,ECXFDD))
+ S ECXFDD=""_$$GET1^DIQ(728.46,ECXFDD,1,"I")_","_""
+ S ECXFDD=$$GET1^DIQ(4,ECXFDD,99,"E")
  ;Get production division and food production facility
  S IEN=""_IEN_";FH(119.71,"
- S FPF=$O(^ECX(728.46,"B",IEN,FPF))
- S FPD=""_$$GET1^DIQ(728.46,FPF,1,"I")_","_""
- S FPD=$$GET1^DIQ(4,FPD,99,"E")
- S FPF=$E($$GET1^DIQ(728.46,FPF,.01,"E"),1,10)
+ S ECXFPF=$O(^ECX(728.46,"B",IEN,ECXFPF))
+ S ECXFPD=""_$$GET1^DIQ(728.46,ECXFPF,1,"I")_","_""
+ S ECXFPD=$$GET1^DIQ(4,ECXFPD,99,"E")
+ S ECXFPF=$E($$GET1^DIQ(728.46,ECXFPF,.01,"E"),1,10)
  Q
- ;
-SUR(CRST,STCD,CLINIC) ;Surgery stop codes and clinic (outpatients only)
- ;Init variables
- S (CRST,STCD,CLINIC)=""
- ;Quit if not outpatient
- Q:$P(EC0,U,12)'="O" ""
- ;Get stop codes (outpatient only)
- I $P(EC0,U,12)="O" D
- .;Get credit stop code (outpatient only)
- .S CRST=""_$$GET1^DIQ(40.7,""_$$GET1^DIQ(44,$$GET1^DIQ(137.45,$P(EC0,U,4),2,"I")_","_""_","_"",2503,"I")_","_"",1,"E")
- .;Get stop code (outpatient only)
- .S STCD=""_$$GET1^DIQ(40.7,""_$$GET1^DIQ(44,$$GET1^DIQ(137.45,$P(EC0,U,4),2,"I")_","_""_","_"",8,"I")_","_"",1,"E")
- ;Clinic for non-or case use associated clinic else non-or location
- ;If non-or case
- I $P($G(ECNO),U)="Y" S CLINIC=$S($P(EC0,U,21):$P(EC0,U,21),1:$P(ECNO,U,2))
- ;Get stop codes non-or cases
- I $P($G(ECNO),U)="Y" D
- .;Get credit stop code for non-or case
- .S CRST=$$GET1^DIQ(40.7,$$GET1^DIQ(44,CLINIC,2503,"I"),1,"E")
- .;Get stop code for non-or case
- .S STCD=$$GET1^DIQ(40.7,$$GET1^DIQ(44,CLINIC,8,"I"),1,"E")
- ;Clinic, not a non-or case use surgical specialty associated clinic
- I $P($G(ECNO),U)'="Y" S CLINIC=$$GET1^DIQ(137.45,+$P(EC0,U,4),2,"I")
- Q 1
- ;
-SURPODX(PRODX,PODX1,PODX2,PODX3,PODX4,PODX5) ;Get postop diagnosis codes
- ;Init variables
- N CODE,I,PODX
- S (PRODX,PODX1,PODX2,PODX3,PODX4,PODX5)="",CODE=0
- ;Check input
- Q:'$D(DATAOP) 0
- ;Get principal postop dx code
- S PRODX=$$GET1^DIQ(80,$P(DATAOP,U,3),.01)
- ;Get other postop dx codes
- S (CODE,I)=0 F  S CODE=$O(^SRO(136,ECD0,4,CODE)) Q:'CODE  Q:I>5  D
- .S I=I+1,PODX="PODX"_I,@PODX=$$GET1^DIQ(80,$P(^SRO(136,ECD0,4,CODE,0),U),.01)
- Q 1
Index: FOIAVistA/tag/r/ENGINEERING-EN/ENEQ4.m
===================================================================
--- FOIAVistA/trunk/r/ENGINEERING-EN/ENEQ4.m	(revision 631)
+++ FOIAVistA/tag/r/ENGINEERING-EN/ENEQ4.m	(revision 636)
@@ -1,4 +1,4 @@
-ENEQ4 ;WIRMFO/SAB-PURGE EQUIPMENT INV FILE ;12/28/07  13:54
- ;;7.0;ENGINEERING;**40,87**;Aug 17, 1993;Build 16
+ENEQ4 ;WIRMFO/SAB-PURGE EQUIPMENT INV FILE ;2.25.97
+ ;;7.0;ENGINEERING;**40**;Aug 17, 1993
  ;
 DEL ;Delete Equipment Record entry
@@ -36,5 +36,4 @@
  I $P(ENY(3),U,1)=1 S ENV(4)="USE STATUS is IN USE."
  I $P(ENY(3),U,11)="" S ENV(5)="DISPOSITION DATE is blank."
- I $D(^ENG(6916.3,"B",ENDA)) S ENV(6)="It is linked to an IT Assignment record."
  I $D(ENV) D  G DELSEQ
  . W $C(7),!,"This equipment entry can not be deleted because:"
Index: FOIAVistA/tag/r/ENGINEERING-EN/ENPLS2.m
===================================================================
--- FOIAVistA/trunk/r/ENGINEERING-EN/ENPLS2.m	(revision 631)
+++ FOIAVistA/tag/r/ENGINEERING-EN/ENPLS2.m	(revision 636)
@@ -1,4 +1,4 @@
-ENPLS2 ;WISC/SAB - Select Items from List ;12/4/07  13:24
- ;;7.0;ENGINEERING;**23,87**;Aug 17, 1993;Build 16
+ENPLS2 ;WISC/SAB - Select Items from List ;7/21/95
+ ;;7.0;ENGINEERING;**23**;Aug 17, 1993
 EN ; entry point
  ; input global
@@ -44,9 +44,7 @@
  K ENACL S ENI="" F  S ENI=$O(Y(ENI)) Q:ENI=""  S ENACL(ENI)=Y(ENI)
 EXIT ;
- W:'$G(ENGNOFF) @IOF
+ W @IOF
  K DX,DY
  Q
-EN2(ENGNOFF) ;Entry point to suppress Form Feed at end
- G EN
 SHD ; Screen Header
  W @IOF
Index: FOIAVistA/tag/r/ENROLLMENT_APPLICATION_SYSTEM-EAS/EASEZPF.m
===================================================================
--- FOIAVistA/trunk/r/ENROLLMENT_APPLICATION_SYSTEM-EAS/EASEZPF.m	(revision 631)
+++ FOIAVistA/tag/r/ENROLLMENT_APPLICATION_SYSTEM-EAS/EASEZPF.m	(revision 636)
@@ -1,4 +1,4 @@
-EASEZPF ;ALB/SCK/GAH - Print 1010EZ Enrollment form ; 10/19/2000
- ;;1.0;ENROLLMENT APPLICATION SYSTEM;**44,51,84**;Sep 5, 2006;Build 2
+EASEZPF ;ALB/SCK - Print 1010EZ Enrollment form ; 10/19/2000
+ ;;1.0;ENROLLMENT APPLICATION SYSTEM;**44,51**;Mar 15, 2001
  ;
  ; These routines print a version of the OMB approved VA10-10EZ form.
@@ -25,24 +25,17 @@
  ;
  S EASAPP=$G(EASAPP),EASDFN=$G(EASDFN)
- ; Can't be a slave
+ ;
  S %ZIS="Q",%ZIS("S")="I $P($G(^(1)),U)'[""SLAVE""&($P($G(^(0)),U)'[""SLAVE"")"
  D ^%ZIS
  ;
  G:POP EXIT
+ S ZUSR=DUZ,ZTRTN="EN^EASEZPF",ZTDESC="1010EZ PRINT"
  ;EAS*1*51 -- if version # 6 or greater, use new print format
- S ZTRTN="EN^EASEZPF"
  I '$G(EASVRSN) S EASVRSN=$$VERSION^EASEZU4(EASAPP)
  I '(EASVRSN<6) S ZTRTN="EN^EASEZP6F"
- ; Either queue for print or print manually by user choice (EAS*1.0*84)
- I $D(IO("Q")) D  G EXIT ;Queued print chosen
- . S ZUSR=DUZ,ZTDESC="1010EZ PRINT"
- . F X="ZUSR","EASAPP","EASDFN" S ZTSAVE(X)=""
- . D ^%ZTLOAD
- . D HOME^%ZIS
  ;
- ;Manual print chosen
- D @ZTRTN
- D ^%ZISC
- G EXIT
+ F X="ZUSR","EASAPP","EASDFN" S ZTSAVE(X)=""
+ D ^%ZTLOAD
+ D HOME^%ZIS
  ;
 EXIT Q +$G(ZTSK)
Index: FOIAVistA/tag/r/EQUIPMENT_TURN_IN_REQUEST-PRCN/PRCNX.m
===================================================================
--- FOIAVistA/trunk/r/EQUIPMENT_TURN_IN_REQUEST-PRCN/PRCNX.m	(revision 631)
+++ FOIAVistA/tag/r/EQUIPMENT_TURN_IN_REQUEST-PRCN/PRCNX.m	(revision 636)
@@ -1,3 +1,3 @@
-PRCNX ; DRIVER FOR COMPILED XREFS FOR FILE #413 ; 10/15/04
+PRCNX ; DRIVER FOR COMPILED XREFS FOR FILE #413 ; 01/30/05
  ; 
  N DH,DU,DIKILL,DISET,DIKJ,DIKZ,DIKYR,DIKZA,DIK0Z,DIKZK,DIKDP,DIKM1,DIKUP,DIKUM,DV,DIIX,DIKF,DIAU,DIKNM,DIKDA,DIKLK,DIKLM,DIKY,DIXR,DIKCOND,DIKSVDA,DIKPUSH,X1,X2
Index: FOIAVistA/tag/r/EQUIPMENT_TURN_IN_REQUEST-PRCN/PRCNX1.m
===================================================================
--- FOIAVistA/trunk/r/EQUIPMENT_TURN_IN_REQUEST-PRCN/PRCNX1.m	(revision 631)
+++ FOIAVistA/tag/r/EQUIPMENT_TURN_IN_REQUEST-PRCN/PRCNX1.m	(revision 636)
@@ -1,3 +1,3 @@
-PRCNX1 ; COMPILED XREF FOR FILE #413 ; 10/15/04
+PRCNX1 ; COMPILED XREF FOR FILE #413 ; 01/30/05
  ; 
  S DIKZK=2
Index: FOIAVistA/tag/r/EQUIPMENT_TURN_IN_REQUEST-PRCN/PRCNX2.m
===================================================================
--- FOIAVistA/trunk/r/EQUIPMENT_TURN_IN_REQUEST-PRCN/PRCNX2.m	(revision 631)
+++ FOIAVistA/tag/r/EQUIPMENT_TURN_IN_REQUEST-PRCN/PRCNX2.m	(revision 636)
@@ -1,3 +1,3 @@
-PRCNX2 ; COMPILED XREF FOR FILE #413.015 ; 10/15/04
+PRCNX2 ; COMPILED XREF FOR FILE #413.015 ; 01/30/05
  ; 
  S DA(1)=DA S DA=0
Index: FOIAVistA/tag/r/EQUIPMENT_TURN_IN_REQUEST-PRCN/PRCNX3.m
===================================================================
--- FOIAVistA/trunk/r/EQUIPMENT_TURN_IN_REQUEST-PRCN/PRCNX3.m	(revision 631)
+++ FOIAVistA/tag/r/EQUIPMENT_TURN_IN_REQUEST-PRCN/PRCNX3.m	(revision 636)
@@ -1,3 +1,3 @@
-PRCNX3 ; COMPILED XREF FOR FILE #413.028 ; 10/15/04
+PRCNX3 ; COMPILED XREF FOR FILE #413.028 ; 01/30/05
  ; 
  S DA=0
Index: FOIAVistA/tag/r/EQUIPMENT_TURN_IN_REQUEST-PRCN/PRCNX4.m
===================================================================
--- FOIAVistA/trunk/r/EQUIPMENT_TURN_IN_REQUEST-PRCN/PRCNX4.m	(revision 631)
+++ FOIAVistA/tag/r/EQUIPMENT_TURN_IN_REQUEST-PRCN/PRCNX4.m	(revision 636)
@@ -1,3 +1,3 @@
-PRCNX4 ; COMPILED XREF FOR FILE #413.046 ; 10/15/04
+PRCNX4 ; COMPILED XREF FOR FILE #413.046 ; 01/30/05
  ; 
  S DA=0
Index: FOIAVistA/tag/r/EQUIPMENT_TURN_IN_REQUEST-PRCN/PRCNX5.m
===================================================================
--- FOIAVistA/trunk/r/EQUIPMENT_TURN_IN_REQUEST-PRCN/PRCNX5.m	(revision 631)
+++ FOIAVistA/tag/r/EQUIPMENT_TURN_IN_REQUEST-PRCN/PRCNX5.m	(revision 636)
@@ -1,3 +1,3 @@
-PRCNX5 ; COMPILED XREF FOR FILE #413 ; 10/15/04
+PRCNX5 ; COMPILED XREF FOR FILE #413 ; 01/30/05
  ; 
  S DIKZK=1
Index: FOIAVistA/tag/r/EQUIPMENT_TURN_IN_REQUEST-PRCN/PRCNX6.m
===================================================================
--- FOIAVistA/trunk/r/EQUIPMENT_TURN_IN_REQUEST-PRCN/PRCNX6.m	(revision 631)
+++ FOIAVistA/tag/r/EQUIPMENT_TURN_IN_REQUEST-PRCN/PRCNX6.m	(revision 636)
@@ -1,3 +1,3 @@
-PRCNX6 ; COMPILED XREF FOR FILE #413.015 ; 10/15/04
+PRCNX6 ; COMPILED XREF FOR FILE #413.015 ; 01/30/05
  ; 
  S DA(1)=DA S DA=0
Index: FOIAVistA/tag/r/EQUIPMENT_TURN_IN_REQUEST-PRCN/PRCNX7.m
===================================================================
--- FOIAVistA/trunk/r/EQUIPMENT_TURN_IN_REQUEST-PRCN/PRCNX7.m	(revision 631)
+++ FOIAVistA/tag/r/EQUIPMENT_TURN_IN_REQUEST-PRCN/PRCNX7.m	(revision 636)
@@ -1,3 +1,3 @@
-PRCNX7 ; COMPILED XREF FOR FILE #413.028 ; 10/15/04
+PRCNX7 ; COMPILED XREF FOR FILE #413.028 ; 01/30/05
  ; 
  S DA=0
Index: FOIAVistA/tag/r/EQUIPMENT_TURN_IN_REQUEST-PRCN/PRCNX8.m
===================================================================
--- FOIAVistA/trunk/r/EQUIPMENT_TURN_IN_REQUEST-PRCN/PRCNX8.m	(revision 631)
+++ FOIAVistA/tag/r/EQUIPMENT_TURN_IN_REQUEST-PRCN/PRCNX8.m	(revision 636)
@@ -1,3 +1,3 @@
-PRCNX8 ; COMPILED XREF FOR FILE #413.046 ; 10/15/04
+PRCNX8 ; COMPILED XREF FOR FILE #413.046 ; 01/30/05
  ; 
  S DA=0
Index: FOIAVistA/tag/r/EVENT_CAPTURE-EC--ECT--ECX/ECMXP.m
===================================================================
--- FOIAVistA/trunk/r/EVENT_CAPTURE-EC--ECT--ECX/ECMXP.m	(revision 631)
+++ FOIAVistA/tag/r/EVENT_CAPTURE-EC--ECT--ECX/ECMXP.m	(revision 636)
@@ -1,3 +1,3 @@
-ECMXP ; GENERATED FROM 'EC CREATE PATIENT ENTRY' INPUT TEMPLATE(#1503), FILE 721;06/14/06
+ECMXP ; GENERATED FROM 'EC CREATE PATIENT ENTRY' INPUT TEMPLATE(#1503), FILE 721;10/08/06
  D DE G BEGIN
 DE S DIE="^ECH(",DIC=DIE,DP=721,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^ECH(DA,""))=""
Index: FOIAVistA/tag/r/EVENT_CAPTURE-EC--ECT--ECX/ECMXP1.m
===================================================================
--- FOIAVistA/trunk/r/EVENT_CAPTURE-EC--ECT--ECX/ECMXP1.m	(revision 631)
+++ FOIAVistA/tag/r/EVENT_CAPTURE-EC--ECT--ECX/ECMXP1.m	(revision 636)
@@ -1,3 +1,3 @@
-ECMXP1 ; ;06/14/06
+ECMXP1 ; ;10/08/06
  D DE G BEGIN
 DE S DIE="^ECH(",DIC=DIE,DP=721,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^ECH(DA,""))=""
Index: FOIAVistA/tag/r/EVENT_CAPTURE-EC--ECT--ECX/ECMXPC.m
===================================================================
--- FOIAVistA/trunk/r/EVENT_CAPTURE-EC--ECT--ECX/ECMXPC.m	(revision 631)
+++ FOIAVistA/tag/r/EVENT_CAPTURE-EC--ECT--ECX/ECMXPC.m	(revision 636)
@@ -1,3 +1,3 @@
-ECMXPC ; GENERATED FROM 'EC FILE PCE NODE' INPUT TEMPLATE(#1504), FILE 721;06/14/06
+ECMXPC ; GENERATED FROM 'EC FILE PCE NODE' INPUT TEMPLATE(#1504), FILE 721;10/08/06
  D DE G BEGIN
 DE S DIE="^ECH(",DIC=DIE,DP=721,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^ECH(DA,""))=""
Index: FOIAVistA/tag/r/EVENT_CAPTURE-EC--ECT--ECX/ECRRPT.m
===================================================================
--- FOIAVistA/trunk/r/EVENT_CAPTURE-EC--ECT--ECX/ECRRPT.m	(revision 631)
+++ FOIAVistA/tag/r/EVENT_CAPTURE-EC--ECT--ECX/ECRRPT.m	(revision 636)
@@ -1,4 +1,4 @@
 ECRRPT ;ALB/JAM;Event Capture Report RPC Broker ;Jan 2, 2001
- ;;2.0; EVENT CAPTURE ;**25,32,41,56,61,82,94**;8 May 96;Build 4
+ ;;2.0; EVENT CAPTURE ;**25,32,41,56,61,82**;8 May 96
  ;
 REQCHK(ECV) ;Required data check
@@ -74,5 +74,5 @@
  . . S ECKEY=$S($D(^XUSEC("ECALLU",ECDUZ)):1,1:0),DUZ=ECDUZ D ALLU^ECRUTL
  . S (ECI,ECNT)=0 F ECI=0:1 S ECX="ECD"_ECI Q:'$D(@ECX)  D
- . . K DIC S DIC=724,DIC(0)="QNZX",X=@ECX D ^DIC I Y<0 Q
+ . . K DIC S DIC=724,DIC(0)="QNMZX",X=@ECX D ^DIC I Y<0 Q
  . . S ECNT=ECNT+1,ECDSSU(ECNT)=Y
  D DATECHK(.ECSD,.ECED)
Index: FOIAVistA/tag/r/EVENT_CAPTURE-EC--ECT--ECX/ECUMRPC1.m
===================================================================
--- FOIAVistA/trunk/r/EVENT_CAPTURE-EC--ECT--ECX/ECUMRPC1.m	(revision 631)
+++ FOIAVistA/tag/r/EVENT_CAPTURE-EC--ECT--ECX/ECUMRPC1.m	(revision 636)
@@ -1,4 +1,4 @@
 ECUMRPC1 ;ALB/JAM-Event Capture Management Broker Utilities ;28 Nov 00
- ;;2.0; EVENT CAPTURE ;**25,30,33,72,94**;8 May 96;Build 4
+ ;;2.0; EVENT CAPTURE ;**25,30,33,72**;8 May 96
  ;
 DSSUNT(RESULTS,ECARY) ;
@@ -69,6 +69,5 @@
  . S CRDT=$$FMTE^XLFDT($P(NODE,U,2),"2F")
  . S INDT=$$FMTE^XLFDT($P(NODE,U,3),"2F")
- . ;S CNT=CNT+1,^TMP($J,"ECCAT",CNT)=CAT_U_$P(NODE,U)_U_CRDT_U_INDT
- . S CNT=CNT+1,^TMP($J,"ECCAT",CNT)=CAT_U_$P(NODE,U)_U_$P(CRDT,"@",1)_U_$P(INDT,"@",1)
+ . S CNT=CNT+1,^TMP($J,"ECCAT",CNT)=CAT_U_$P(NODE,U)_U_CRDT_U_INDT
  S RESULTS=$NA(^TMP($J,"ECCAT"))
  Q
Index: FOIAVistA/tag/r/EVENT_CAPTURE-EC--ECT--ECX/ECUURPC.m
===================================================================
--- FOIAVistA/trunk/r/EVENT_CAPTURE-EC--ECT--ECX/ECUURPC.m	(revision 631)
+++ FOIAVistA/tag/r/EVENT_CAPTURE-EC--ECT--ECX/ECUURPC.m	(revision 636)
@@ -1,4 +1,4 @@
 ECUURPC ;ALB/JAM;Event Capture Data Entry Broker Utilities ;Aug 28, 2000
- ;;2.0; EVENT CAPTURE ;**25,42,49,94**;8 May 96;Build 4
+ ;;2.0; EVENT CAPTURE ;**25,42,49**;8 May 96
  ;
 ECHELP(RESULTS,ECARY) ;
@@ -33,5 +33,4 @@
  S FIL=$P(ECARY,U),TXT=$P(ECARY,U,2) I TXT=""!(FIL="") Q
  S DIC=FIL,DIC(0)="MN",X=TXT
- I FIL=81.3 S DIC("S")="I $P(^DIC(81.3,Y,0),U,5)'=1" ;PATCH 94
  D ^DIC I Y=-1 Q
  S RESULTS=+Y
Index: FOIAVistA/tag/r/E_CLAIMS_MGMT_ENGINE-BPS/BPS01P5A.m
===================================================================
--- FOIAVistA/trunk/r/E_CLAIMS_MGMT_ENGINE-BPS/BPS01P5A.m	(revision 631)
+++ FOIAVistA/tag/r/E_CLAIMS_MGMT_ENGINE-BPS/BPS01P5A.m	(revision 636)
@@ -1,4 +1,21 @@
 BPS01P5A ;BHAM ISC/BEE - Post-Install for BPS*1*5 (cont) ;13-DEC-06
- ;;1.0;E CLAIMS MGMT ENGINE;**5**;JUN 2004;Build 45
+ ;;1.0;E CLAIMS MGMT ENGINE;**5**;JUN 2004;Build 4;WorldVistA 30-Jan-08
+ ;Modified from FOIA VISTA,
+ ;Copyright 2008 WorldVistA.  Licensed under the terms of the GNU
+ ;General Public License See attached copy of the License.
+ ;
+ ;This program is free software; you can redistribute it and/or modify
+ ;it under the terms of the GNU General Public License as published by
+ ;the Free Software Foundation; either version 2 of the License, or
+ ;(at your option) any later version.
+ ;
+ ;This program is distributed in the hope that it will be useful,
+ ;but WITHOUT ANY WARRANTY; without even the implied warranty of
+ ;MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ ;GNU General Public License for more details.
+ ;
+ ;You should have received a copy of the GNU General Public License along
+ ;with this program; if not, write to the Free Software Foundation, Inc.,
+ ;51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  ;;Per VHA Directive 2004-038, this routine should not be modified.
  ;
@@ -136,5 +153,5 @@
  ;
  ;Turn global protection off (SACC Exemption has been granted to use $ZU)
- S X=$ZU(68,28,0)
+ I $P(^%ZOSF("OS"),"^",2)=3 S X=$ZU(68,28,0)
  ;
  ;Remove BPS COMBINED INSURANCE (#9002313.1), which uses an unsubscripted global 
@@ -147,5 +164,5 @@
  ;
  ;Turn global protection back on
- S X=$ZU(68,28,1)
+  I $P(^%ZOSF("OS"),"^",2)=3 S X=$ZU(68,28,1)
  ;
  ;BPS DATA INPUT (#9002313.51)
Index: FOIAVistA/tag/r/E_CLAIMS_MGMT_ENGINE-BPS/BPSSCRRV.m
===================================================================
--- FOIAVistA/trunk/r/E_CLAIMS_MGMT_ENGINE-BPS/BPSSCRRV.m	(revision 631)
+++ FOIAVistA/tag/r/E_CLAIMS_MGMT_ENGINE-BPS/BPSSCRRV.m	(revision 636)
@@ -1,5 +1,22 @@
 BPSSCRRV ;BHAM ISC/SS - ECME SCREEN REVERSE CLAIM ;05-APR-05
- ;;1.0;E CLAIMS MGMT ENGINE;**1,5**;JUN 2004;Build 45
+ ;;1.0;E CLAIMS MGMT ENGINE;**1,5**;JUN 2004;Build 4;WorldVistA 30-Jan-08
  ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;Modified from FOIA VISTA,
+ ;Copyright 2008 WorldVistA.  Licensed under the terms of the GNU
+ ;General Public License See attached copy of the License.
+ ;
+ ;This program is free software; you can redistribute it and/or modify
+ ;it under the terms of the GNU General Public License as published by
+ ;the Free Software Foundation; either version 2 of the License, or
+ ;(at your option) any later version.
+ ;
+ ;This program is distributed in the hope that it will be useful,
+ ;but WITHOUT ANY WARRANTY; without even the implied warranty of
+ ;MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ ;GNU General Public License for more details.
+ ;
+ ;You should have received a copy of the GNU General Public License along
+ ;with this program; if not, write to the Free Software Foundation, Inc.,
+ ;51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  Q
  ;IA 4702
@@ -39,5 +56,6 @@
  . W !,"You've chosen to REVERSE the following prescription for "_$E($$PATNAME^BPSSCRU2(BPDFN),1,13)
  . W !,$G(@VALMAR@(+$G(BP59ARR(BP59)),0))
- . F  S BPRVREAS=$$COMMENT^BPSSCRCL("Enter REQUIRED REVERSAL REASON",60) Q:BPRVREAS="^"  Q:($L(BPRVREAS)>0)&&(BPRVREAS'="^")&&('(BPRVREAS?1" "." "))  D
+ . ;F  S BPRVREAS=$$COMMENT^BPSSCRCL("Enter REQUIRED REVERSAL REASON",60) Q:BPRVREAS="^"  Q:($L(BPRVREAS)>0)&&(BPRVREAS'="^")&&('(BPRVREAS?1" "." "))  D
+ . F  S BPRVREAS=$$COMMENT^BPSSCRCL("Enter REQUIRED REVERSAL REASON",60) Q:BPRVREAS="^"  Q:($L(BPRVREAS)>0)&(BPRVREAS'="^")&('(BPRVREAS?1" "." "))  D
  . . W !,"Please provide the reason or enter ^ to abandon the reversal."
  . I BPRVREAS["^" W !,"The claim: ",!,$G(@VALMAR@(+$G(BP59ARR(BP59)),0)),!,"was NOT reversed!" S BPQ=$$PAUSE() Q
Index: FOIAVistA/tag/r/FEE_BASIS-FB/FBAAFSR.m
===================================================================
--- FOIAVistA/trunk/r/FEE_BASIS-FB/FBAAFSR.m	(revision 631)
+++ FOIAVistA/tag/r/FEE_BASIS-FB/FBAAFSR.m	(revision 636)
@@ -1,4 +1,4 @@
 FBAAFSR ;WCIOFO/TCK,SS,DMK,SAB-RBRVS FEE SCHEDULE ; 8/26/1999
- ;;3.5;FEE BASIS;**4,53,71,84,92,93,99,102,105**;JAN 30, 1995;Build 1
+ ;;3.5;FEE BASIS;**4,53,71,84,92,93,99,102**;JAN 30, 1995;Build 24
  ;
  Q
@@ -172,16 +172,12 @@
  N GPCI,RVU,FBI,TMP,TMPRVU
  S FBAMT=0
- ;Old formula for RBRVS pre-2007 payment amounts
+ ;Multiply Work RVU by the Budget Neutrality Adjustor (0.8994)
  I DOS<3070101 D
+ .;Old formula for RBRVS pre-2007 payment amounts
  .S RVU(1)=$P(FBCPTY0,U,3)
- I (DOS=3070101!(DOS>3070101)&(DOS<3080101)) D
+ I DOS>3061231 D
  .;New formula for RBRVS 2007 payment amounts
  .;Multiply Work RVU by the Budget Neutrality Adjustor (0.8994)
  .S TMP=$P(FBCPTY0,U,3),TMPRVU=$J((TMP*(.8994)),".",2)
- .S RVU(1)=TMPRVU
- I DOS=3080101!(DOS>3080101) D
- .;New formula for the RBRVS 2008 payment amounts
- .;Multiply Work RVU by the Budget Neutrality Adjustor (0.8994)
- .S TMP=$P(FBCPTY0,U,3),TMPRVU=$J((TMP*(.8806)),".",2)
  .S RVU(1)=TMPRVU
  S RVU(2)=$P(FBCPTY0,U,4+FAC)
Index: FOIAVistA/tag/r/FEE_BASIS-FB/FBCTV.m
===================================================================
--- FOIAVistA/trunk/r/FEE_BASIS-FB/FBCTV.m	(revision 631)
+++ FOIAVistA/tag/r/FEE_BASIS-FB/FBCTV.m	(revision 636)
@@ -1,3 +1,3 @@
-FBCTV ; GENERATED FROM 'FB VENDOR UPDATE' INPUT TEMPLATE(#1055), FILE 161.2;06/29/07
+FBCTV ; GENERATED FROM 'FB VENDOR UPDATE' INPUT TEMPLATE(#1055), FILE 161.2;12/27/07
  D DE G BEGIN
 DE S DIE="^FBAAV(",DIC=DIE,DP=161.2,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^FBAAV(DA,""))=""
Index: FOIAVistA/tag/r/FEE_BASIS-FB/FBCTV1.m
===================================================================
--- FOIAVistA/trunk/r/FEE_BASIS-FB/FBCTV1.m	(revision 631)
+++ FOIAVistA/tag/r/FEE_BASIS-FB/FBCTV1.m	(revision 636)
@@ -1,3 +1,3 @@
-FBCTV1 ; ;06/29/07
+FBCTV1 ; ;12/27/07
  S X=DE(15),DIC=DIE
  K ^FBAAV("NPI",$E(X,1,30),DA)
Index: FOIAVistA/tag/r/FEE_BASIS-FB/FBCTV2.m
===================================================================
--- FOIAVistA/trunk/r/FEE_BASIS-FB/FBCTV2.m	(revision 631)
+++ FOIAVistA/tag/r/FEE_BASIS-FB/FBCTV2.m	(revision 636)
@@ -1,3 +1,3 @@
-FBCTV2 ; ;06/29/07
+FBCTV2 ; ;12/27/07
  S X=DG(DQ),DIC=DIE
  S ^FBAAV("NPI",$E(X,1,30),DA)=""
Index: FOIAVistA/tag/r/FEE_BASIS-FB/FBCTV3.m
===================================================================
--- FOIAVistA/trunk/r/FEE_BASIS-FB/FBCTV3.m	(revision 631)
+++ FOIAVistA/tag/r/FEE_BASIS-FB/FBCTV3.m	(revision 636)
@@ -1,3 +1,3 @@
-FBCTV3 ; ;06/29/07
+FBCTV3 ; ;12/27/07
  D DE G BEGIN
 DE S DIE="^FBAAV(",DIC=DIE,DP=161.2,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^FBAAV(DA,""))=""
Index: FOIAVistA/tag/r/GEN_MED_REC_VITALS-GMRV/GMRVED2.m
===================================================================
--- FOIAVistA/trunk/r/GEN_MED_REC_VITALS-GMRV/GMRVED2.m	(revision 631)
+++ FOIAVistA/tag/r/GEN_MED_REC_VITALS-GMRV/GMRVED2.m	(revision 636)
@@ -1,4 +1,4 @@
-GMRVED2 ;HIOFO/RM,YH,FT-VITAL SIGNS EDIT SHORT FORM ;11/15/04  10:30
- ;;5.0;GEN. MED. REC. - VITALS;**2**;Oct 31, 2002
+GMRVED2 ;HIOFO/RM,YH,FT-VITAL SIGNS EDIT SHORT FORM ;7/20/07  13:43
+ ;;5.0;GEN. MED. REC. - VITALS;**2**;Oct 31, 2002;Build 11
  ;
  ; This routine uses the following IAs:
@@ -75,4 +75,6 @@
  I GMREDB="P1" S GMRVIEN(GMRVITY)=DA_"^"_GMRDAT(GMRVITY)_"^"_$G(GMRSITE(GMRVITY))
  S:GMRENTY>4 GLAST=GMRVIDT,GLAST(1)=$G(GLAST(1))+1
+ ; for VOE Pediatric Growth Charts
+ I "8920"[(+GMRVIT(1)) D EN^GMRVPGC(DFN) ; 8=Height 9=Weight 20=Circumference
  Q
 XREF(DA) ; Set cross-references for FILE 120.5 entry
Index: FOIAVistA/tag/r/HEALTH_DATA_AND_INFORMATICS-HDI/HDISVCMR.m
===================================================================
--- FOIAVistA/trunk/r/HEALTH_DATA_AND_INFORMATICS-HDI/HDISVCMR.m	(revision 631)
+++ FOIAVistA/tag/r/HEALTH_DATA_AND_INFORMATICS-HDI/HDISVCMR.m	(revision 636)
@@ -1,4 +1,13 @@
-HDISVCMR ;CT/GRR Data Standardization ; 06 Oct 2005  2:12 PM
+HDISVCMR ;CT/GRR Data Standardization ; 20 APR 2006  12:17
  ;;1.0;HEALTH DATA & INFORMATICS;**1,2**;Feb 22, 2005
+ ;
+ ; 2005 05 16 (VA/JRP): fix broken IF/ELSE statement in EN.
+ ;
+ ; 2005 10 06 (VA/JRP): remove last parameter from call to
+ ; $$SNDXML^HDISVM02 at CREATE+12.
+ ;
+ ; 2006 04 11 (WV/TOAD): fix undefined error at CR8OUT when it is called
+ ; from CREATE+4, as was the case when GMRA*4*23 was installed on the
+ ; VOE server.
  ;
 EN(HDISDOM,HDISFILE) ;
@@ -41,4 +50,4 @@
  I 'HDISOUT S HDISMESS=$P(HDISOUT,"^",2) D ERR^HDISVF09(HDISNM,HDISDT,HDISMESS) G CR8OUT
  ;
-CR8OUT K @HDISARRY
+CR8OUT I $G(DISARRAY)'="" K @HDISARRY ; WV/TOAD: added IF to avoid UNDEF
  Q
Index: FOIAVistA/tag/r/HEALTH_LEVEL_SEVEN-HL/HLCS.m
===================================================================
--- FOIAVistA/trunk/r/HEALTH_LEVEL_SEVEN-HL/HLCS.m	(revision 631)
+++ FOIAVistA/tag/r/HEALTH_LEVEL_SEVEN-HL/HLCS.m	(revision 636)
@@ -1,4 +1,4 @@
-HLCS ;ALB/RJS,MTC,JRP - COMMUNICATIONS SERVER - ;10/04/2007  14:34
- ;;1.6;HEALTH LEVEL SEVEN;**2,9,14,19,43,57,109,132,122**;Oct 13, 1995;Build 14
+HLCS ;ALB/RJS,MTC,JRP - COMMUNICATIONS SERVER - ;10/31/2006
+ ;;1.6;HEALTH LEVEL SEVEN;**2,9,14,19,43,57,109,132**;Oct 13, 1995;Build 6
  ;Per VHA Directive 2004-038, this routine should not be modified.
  ;
@@ -48,14 +48,5 @@
  .N I,EXCLUDE
  .S (EXCLUDE,I)=0
- . ;
- . ; patch HL*1.6*122
- . ; F  S I=$O(HLP("EXCLUDE SUBSCRIBER",I)) Q:'I  I $G(HLP("EXCLUDE SUBSCRIBER",I))=HLEIDS S EXCLUDE=1 Q
- . F  S I=$O(HLP("EXCLUDE SUBSCRIBER",I)) Q:'I  D  Q:EXCLUDE
- .. N TEMP
- .. S TEMP=HLP("EXCLUDE SUBSCRIBER",I)
- .. I 'TEMP,TEMP]"" S TEMP=$O(^ORD(101,"B",TEMP,0))
- .. I TEMP=HLEIDS S EXCLUDE=1
- . ; patch HL*1.6*122
- . ;
+ .F  S I=$O(HLP("EXCLUDE SUBSCRIBER",I)) Q:'I  I $G(HLP("EXCLUDE SUBSCRIBER",I))=HLEIDS S EXCLUDE=1 Q
  .Q:EXCLUDE
  .;** 132 end **
